#pragma once
#include "Area.h"
#include "World.h"
#include "mof/Vector2D.h"
#include <vector>
#include <list>
#include "ItemData.h"



namespace et{
	
	class GameData
	{
		std::vector<RegenerationEvent> m_regenerationHistory;
		std::list<et::ItemData> m_battleItemList;
	public:
		GameData(void);
		virtual ~GameData(void);

		et::World* createWorld();
		void addRegenerationEvent(RegenerationEvent& event){m_regenerationHistory.push_back(event);}
		std::list<et::ItemData>& getBattleItemList(){return m_battleItemList;}

	};


};